Skip to main content
POST
Create a snapshot

Authorizations

Authorization
string
header
required

Organization API key (msb_…) - org-scoped programmatic access.

Body

application/json

Wire shape of a cloud snapshot create request body.

name
string
required

Snapshot name.

sandbox_id
string
required

Immutable identifier of the sandbox to capture.

kind
enum<string>
required
Available options:
disk
dest_dir
string | null

Directory on a mounted host volume to write the artifact into. None stores the snapshot in managed snapshot storage.

force
boolean

Replace an existing snapshot with the same name.

labels
object

User-defined labels stored on the snapshot.

record_integrity
boolean

Record payload integrity metadata during capture.

Response

Snapshot capture queued

Wire shape of the asynchronous snapshot operation returned by snapshot capture endpoints.

created_at
string<date-time>
required

Creation timestamp.

id
string
required

Server-side operation identifier.

kind
enum<string>
required

Kind of snapshot being captured.

Available options:
disk
status
enum<string>
required

Current operation status.

Available options:
queued,
in_progress,
succeeded,
failed
updated_at
string<date-time>
required

Timestamp of the most recent status change.

completed_at
string<date-time> | null

Timestamp of the terminal status, when the operation has finished.

error
null | object

Error details for a failed operation.

result
null | object

The resulting snapshot, present once the operation succeeds.